import { BigNumber } from 'ethers';
import { DIDAttribute, IUpdateData, RegistrySettings } from '@ew-did-registry/did-resolver-interface';
import { Operator, EwSigner } from '@ew-did-registry/did-ethr-resolver';
export declare class OfferableIdenitytOperator extends Operator {
    private owner;
    private identity;
    /**
     *
     * @param owner - Owner of the identity
     * @param settings - Settings to connect to Ethr registry
     * @param identityAddr - Address of controlled offerable identity
     */
    constructor(owner: EwSigner, settings: RegistrySettings, identityAddr: string);
    revokeDelegate(): Promise<boolean>;
    getOwnerAddress(): Promise<string>;
    changeOwner(identityDID: string, newOwnerDid: string): Promise<boolean>;
    /**
     * @todo
     */
    deactivate(): Promise<void>;
    protected getAddress(): Promise<string>;
    offer(offerTo: string): Promise<boolean>;
    protected _sendTransaction(method: string, did: string, didAttribute: DIDAttribute, updateData: IUpdateData, validity?: number): Promise<BigNumber>;
}
